MUPEN64PLUS(6)

NAME
mupen64plus - console front-end for the Mupen64Plus N64 emulator

SYNOPSIS
mupen64plus [parameters] romfile

DESCRIPTION
mupen64plus is a plugin-based N64 emulator for Linux/Unix, OSX, and Windows which is capable of accurately playing many games. Included are four MIPS R4300 CPU emulators, with dynamic recompilers for 32-bit x86 and 64-bit amd64 systems, and necessary plugins for audio, graphical rendering (RDP), signal co-processor (RSP), and input. There are several OpenGL video plugins available:

•   Rice, included with the distribution

•   Glide64Mk2, included with the distribution

•   Arachnoid: https://github.com/mupen64plus/mupen64plus-video-arachnoid

•   Glide64: https://github.com/mupen64plus/mupen64plus-video-glide64 (old)

•   Z64: https://github.com/mupen64plus/mupen64plus-video-z64 (must be used with the rsp-z64 plugin)

The most current documentation can be found at the project’s homepage: https://code.google.com/p/mupen64plus/.

The options are as follows:

-h, - -help
    Print help message.

- -noosd
    Disable onscreen display.

- -osd
    Enable onscreen display.

- -fullscreen
    Run emulator in fullscreen display mode.

- -windowed
    Run emulator in windowed display mode.

- -resolution res
    Display resolution (640×480, 800×600, 1024×768, etc)

- -nospeedlimit
    Disable core speed limiter. This should be used with the dummy audio plugin.

- -cheats cheat-spec
    Enable or list cheat codes for the given rom file.

- -corelib filepath
    Specifies a filename (optionally with a preceding directory path) to load a specific mupen64plus core library.

- -configdir directory
    Specifies a directory to look for the mupen64plus.cfg file. Default is ~/.config/mupen64plus/.

- -datadir directory
    Specifies a directory to search for shared data files (fonts, cheat codes, .ini files). Default is ${PREFIX}/share/mupen64plus/.

- -plugindir directory
    Specifies a directory to search for plugin files. Default is ${PREFIX}/lib/mupen64plus/.

- -sshotdir directory
    Specifies a directory to save screenshots captured during gameplay. Default is ~/.local/share/mupen64plus/screenshot/.

- -gfx plugin-spec
    Specifies a plugin-spec to select a graphics plugin for use during emulation.

- -audio plugin-spec
    Specifies a plugin-spec to select an audio plugin for use during emulation.

- -input plugin-spec
    Specifies a plugin-spec to select an input plugin for use during emulation.

- -rsp plugin-spec
    Specifies a plugin-spec to select an RSP plugin for use during emulation.

- -emumode mode
    Specifies which mode the emulator core should run in. mode should be set to one of the following numbers:

    0 Pure Interpreter

    1 Cached Interpreter

    2 Dynamic Recompiler (DynaRec)

- -testshots list
    Take screenshots at frames given in the comma-separated list, then quit.

- -core-compare-send
    Use the core comparison debugging feature, in data sending mode. If the core was not compiled with support for the Core Comparison feature, then the emulator will exit with an error.

- -core-compare-recv
    Use the core comparison debugging feature, in data receiving mode. If the core was not compiled with support for the Core Comparison feature, then the emulator will exit with an error.

- -set param-spec
    Set the value of a mupen64plus configuration parameter. This option may be used multiple times. The format of param-spec is
        Section-Name[Param-Name]=Value

- -nosaveoptions
    Do not save the given command-line options into the mupen64plus configuration file to use as defaults in the future.

- -verbose
    Print lots of information. Useful for debugging but unnecessary for normal use.

plugin-spec

(plugin-name)
Filename (without path) of plugin to use. Application will search through several directories to look for a matching plugin name.

(plugin-path)
Full directory path and filename of plugin.

‘dummy’
Use the dummy plugin.

cheat-spec

‘list’
Show all of the available cheat codes.

‘all’
Enable all of the available cheat codes.

(codelist)
A comma separated list of cheat code numbers to enable.

KEY COMMANDS
The following shortcut keys can be used during emulation. These are the default key values; nearly all of them may be set to different keys by editing the mupen64plus configuration file.

Escape
    Quit the emulator.

0–9 Select virtual ‘slot’ for save/load state.

F5  Save emulator state to current slot.

F7  Load emulator state from current slot.

F9  Reset emulator.

F10 Slow down emulator speed by 5 percent.

F11 Speed up emulator speed by 5 percent.

F12 Take screenshot.

Alt-Enter
    Toggle fullscreen mode. This is not supported on Windows.

p or P
    Pause/continue emulation.

m or M
    Mute/unmute sound.

f or F
    Fast Forward (playback at 250% normal speed as long as key is pressed).

g or G
    Press GameShark button (if cheats are enabled).

/ or?
    Advance one frame if paused.

[   Decrease volume.

]   Increase volume.

FILES
The default location for the mupen64plus configuration file is ~/.config/mupen64plus/. The default location of the saved screenshots is ~/.local/share/mupen64plus/screenshot/. The default location of the save states is ~/.local/share/mupen64plus/save/.

AUTHORS
-nosplit mupen64plus was originally started by Richard42 and nmn, and is based on Mupen64 (originally written by Hacktarux).

This man page was written by ebenblues, and updated by Richard42 and Anthony J. Bentley.

COPYRIGHT
Mupen64plus is © 2008–2013 The Mupen64plus Team

License GPLv2+, GNU GPL version 2 or later: https://gnu.org/licenses/gpl.html

This is free software: you are free to change and redistribute it. There is no warranty, to the extent permitted by law.

BUGS
To report bugs or make feature requests, use the issue tracker: https://code.google.com/p/mupen64plus/issues/list